Skip to main content
GET
List Discounts
List discounts

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

ids
string[]

Filter by discount IDs. Array size limit: [0,100]

status
string

Discount status:

  • draft: The discount has been created but is not active or visible to users yet.
  • ongoing: The discount is currently active and available for use.
  • not_started: The discount is defined, but its start time has not yet arrived.
  • completed: The discount has ended and is no longer available for use.
discount_codes
string[]

Filter by discount codes. Array size limit: [0,100]

starting_after
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

ending_before
string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

limit
integer<int32>

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

created_at.gt
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.gte
string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lt
string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lte
string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Response

200 - application/json

OK

code
string

error code

message
string

error message

data
object